package net.lamgc.scext.onedrive_transfer

data class ExtensionConfig(
    val clientId: String = "",
    val clientSecret: String = "",
    val useCommandPrefix: Boolean = true,
    val maxFileSize: Long = 1024L * 1024 * 1024 * 4,
    val maxTransferSize: Long = 1024L * 1024 * 1024 * 20,
    val centralSetting: CentralSetting = CentralSetting()
)

/**
 * @property enable 是否启用主从模式.
 * @property port Web 服务器端口.
 * @property baseUrl Web 服务器的对外 URL.
 * @property registerToken 注册 Worker 所使用的 Token.
 */
data class CentralSetting(
    val enable: Boolean = false,
    val port: Int = 24860,
    val baseUrl: String = "http://localhost:${port}",
    val registerToken: String = ""
)
