package net.lamgc.scext.onedrive_transfer.remote.request

import java.util.*

/**
 * 从节点接受任务请求.
 */
data class TaskAcceptRequest(
    val taskId: UUID
)

/**
 * 如果任务被该节点预分配, 则返回确认响应.
 *
 * 如果任务并非为该从节点预分配, 或者任务预分配过期, 被其他节点接受, 则返回拒绝响应.
 *
 * @property confirmed 是否确认接受任务.
 */
data class TaskAcceptResponse(
    val confirmed: Boolean = true
)
