package net.lamgc.scext.onedrive_transfer.remote.request

import java.util.*

data class TaskProgressUpdateRequest(
    val taskId: UUID,
    val status: TaskStatus,
    val progress: Double
)

data class TaskProgressUpdateResponse(
    val status: TaskProgressUpdateStatus
)

enum class TaskStatus {

    DOWNLOADING_FILE,

    DOWNLOADED_FILE,

    UPLOADING_FILE,

    COMPLETED

}

enum class TaskProgressUpdateStatus {
    /**
     * 任务可以继续进行.
     */
    CONTINUE,

    /**
     * 任务已取消, Worker 应该放弃该任务.
     */
    CANCELLED,

}
