package net.lamgc.scext.onedrive_transfer.remote.worker

import com.github.ajalt.clikt.core.CliktCommand
import com.github.ajalt.clikt.core.main
import com.github.ajalt.clikt.parameters.options.*
import com.github.ajalt.clikt.parameters.types.ulong
import java.io.File
import kotlin.math.min

class Main : CliktCommand("overdrive-transfer-worker") {

    private val host: String by option()
        .required()
        .help("Controller URL.")

    private val tempDir: String by option()
        .help("Temp directory.")
        .default("./work-temp/")

    private val maxAllowedFileSize by option()
        .ulong()
        .help("Max allowed file size.")
        .defaultLazy {
            // 获取所在硬盘的大小，最大不超过 4 G
            val disk = File(tempDir).toPath().root.toFile()
            return@defaultLazy min(disk.usableSpace, 536870912).toULong()
        }

    override fun run() {

    }

}

fun main(args: Array<String>) = Main().main(args)
